import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
int n=nextInt();
long [] prefix=new long[n];
int []arr=new int[n];
long pref=0;
        for (int i = 0; i <n ; i++) {
            arr[i]=nextInt();
            pref+=arr[i];
            prefix[i]=pref;
        }
        long sum=prefix[n-1];
        long ans=0;
        for (int i = 0; i <n-1 ; i++) {
            ans+=Math.abs((sum-prefix[i])-arr[i]*(n-i-1));
        }
        out.println(ans);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}